<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{5D974CB2-6403-4D75-8630-9E7C87ECFDE8}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>PXP.Crawler.API</RootNamespace>
    <AssemblyName>PXP.Crawler.API</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>x86</PlatformTarget>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x86\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
    <OutputPath>bin\x86\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug x64|AnyCPU'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\Debug x64\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug x64|x86'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x86\Debug x64\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x64\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <OutputPath>bin\x64\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug x64|x64'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x64\Debug x64\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="DevExpress.Data.v14.1, Version=14.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.Printing.v14.1.Core, Version=14.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.Utils.v14.1, Version=14.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraBars.v14.1, Version=14.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraEditors.v14.1, Version=14.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraGrid.v14.1, Version=14.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="DevExpress.XtraLayout.v14.1, Version=14.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraPrinting.v14.1, Version=14.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraTreeList.v14.1, Version=14.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraVerticalGrid.v14.1, Version=14.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="ScintillaNET">
      <HintPath>..\ScintillaNET v2.6\ScintillaNET.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Design" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Controls\RegexToolControl.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Controls\RegexToolControl.Designer.cs">
      <DependentUpon>RegexToolControl.cs</DependentUpon>
    </Compile>
    <Compile Include="Data\ActionsDataSet.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>ActionsDataSet.xsd</DependentUpon>
    </Compile>
    <Compile Include="Data\CrawlerDataTypes.cs" />
    <Compile Include="Data\ErrorsDataSet.cs">
      <DependentUpon>ErrorsDataSet.xsd</DependentUpon>
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Data\ErrorsDataSet.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>ErrorsDataSet.xsd</DependentUpon>
    </Compile>
    <Compile Include="Data\NodesDataSet.cs">
      <DependentUpon>NodesDataSet.xsd</DependentUpon>
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Data\NodesDataSet.Designer.cs">
      <DependentUpon>NodesDataSet.xsd</DependentUpon>
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
    </Compile>
    <Compile Include="Data\SettDataSet.cs">
      <DependentUpon>SettDataSet.xsd</DependentUpon>
    </Compile>
    <Compile Include="Data\SettDataSet.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>SettDataSet.xsd</DependentUpon>
    </Compile>
    <Compile Include="Designers\Controls\CodeEditorControl.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Designers\Controls\CodeEditorControl.Designer.cs">
      <DependentUpon>CodeEditorControl.cs</DependentUpon>
    </Compile>
    <Compile Include="Designers\Controls\ContainerControlEx.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Designers\Controls\DesignerControl.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Designers\Controls\ErrorsUserControl.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Designers\Controls\ErrorsUserControl.Designer.cs">
      <DependentUpon>ErrorsUserControl.cs</DependentUpon>
    </Compile>
    <Compile Include="Designers\Controls\Forms\NodeTypePickForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Designers\Controls\Forms\NodeTypePickForm.Designer.cs">
      <DependentUpon>NodeTypePickForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Designers\Controls\Forms\NodeTypePickXtraForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Designers\Controls\Forms\NodeTypePickXtraForm.Designer.cs">
      <DependentUpon>NodeTypePickXtraForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Designers\Controls\NodeContainerDesignerControl.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Designers\Controls\NodeDesignerControl.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Designers\Controls\NodeDesignerControlContainer.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Designers\Controls\NodeDesignerPin.cs" />
    <Compile Include="Designers\Controls\NodeTypePickUserControl.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Designers\Controls\NodeTypePickUserControl.Designer.cs">
      <DependentUpon>NodeTypePickUserControl.cs</DependentUpon>
    </Compile>
    <Compile Include="Designers\Controls\ProgramDesignerControl.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Designers\Controls\ProgramDesignerControl.Designer.cs">
      <DependentUpon>ProgramDesignerControl.cs</DependentUpon>
    </Compile>
    <Compile Include="Designers\Controls\ProgramNodesControl.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Designers\Controls\ProjectDesignerControl.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Designers\Controls\ProjectDesignerControl.Designer.cs">
      <DependentUpon>ProjectDesignerControl.cs</DependentUpon>
    </Compile>
    <Compile Include="Designers\Controls\TreeListEx.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Designers\Controls\XtraScrollableControlEx.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Designers\Designer.cs" />
    <Compile Include="Designers\DesignerData.cs" />
    <Compile Include="Designers\Forms\NodeForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Designers\Forms\NodeForm.Designer.cs">
      <DependentUpon>NodeForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Designers\NodeContainerDesigner.cs" />
    <Compile Include="Designers\NodeDesigner.cs" />
    <Compile Include="Designers\Property\CodePropertyEditor.cs" />
    <Compile Include="Designers\Property\Forms\PropertyCodeEditXtraForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Designers\Property\Forms\PropertyCodeEditXtraForm.Designer.cs">
      <DependentUpon>PropertyCodeEditXtraForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Designers\Property\Forms\ProgramSelectXtraForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Designers\Property\Forms\ProgramSelectXtraForm.Designer.cs">
      <DependentUpon>ProgramSelectXtraForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Model\Core\ProgramOutput.cs" />
    <Compile Include="Model\Meta\CategoryInfo.cs" />
    <Compile Include="Model\Meta\MetaData.cs" />
    <Compile Include="Model\Node.cs" />
    <Compile Include="Model\NodeAttributes.cs" />
    <Compile Include="Model\NodeCategoryInfo.cs" />
    <Compile Include="Model\NodeConnection.cs" />
    <Compile Include="Model\NodeConnectionProperty.cs" />
    <Compile Include="Model\NodeContainer.cs" />
    <Compile Include="Model\NodePin.cs" />
    <Compile Include="Model\Program.cs" />
    <Compile Include="Model\ProgramDesigner.cs" />
    <Compile Include="Model\Core\ProgramNode.cs" />
    <Compile Include="Designers\Property\ProgramIDPropertyEditor.cs" />
    <Compile Include="Model\ProgramScript.cs" />
    <Compile Include="Model\Project.cs" />
    <Compile Include="Model\ProjectCompiler.cs" />
    <Compile Include="Model\ProjectDomain.cs" />
    <Compile Include="Model\ProjectItem.cs" />
    <Compile Include="Plugin.cs" />
    <Compile Include="PluginManager.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
      <DependentUpon>Settings.settings</DependentUpon>
    </Compile>
    <Compile Include="Utils\Conv.cs" />
    <Compile Include="Utils\ListEx.cs" />
    <Compile Include="Utils\Misc.cs" />
    <Compile Include="Utils\Null.cs" />
    <Compile Include="Utils\Sett.cs" />
    <Compile Include="Utils\Win32.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Skybound.GeckoFX.src.v1.9.1.0\src\Skybound.Gecko\Skybound.Gecko.csproj">
      <Project>{877d1a24-2d5e-4c46-a933-fcf11ea0403b}</Project>
      <Name>Skybound.Gecko</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="Data\ActionsDataSet.xsc">
      <DependentUpon>ActionsDataSet.xsd</DependentUpon>
    </None>
    <None Include="Data\ActionsDataSet.xsd">
      <SubType>Designer</SubType>
      <Generator>MSDataSetGenerator</Generator>
      <LastGenOutput>ActionsDataSet.Designer.cs</LastGenOutput>
    </None>
    <None Include="Data\ActionsDataSet.xss">
      <DependentUpon>ActionsDataSet.xsd</DependentUpon>
    </None>
    <None Include="Data\ErrorsDataSet.xsc">
      <DependentUpon>ErrorsDataSet.xsd</DependentUpon>
    </None>
    <None Include="Data\ErrorsDataSet.xsd">
      <SubType>Designer</SubType>
      <Generator>MSDataSetGenerator</Generator>
      <LastGenOutput>ErrorsDataSet.Designer.cs</LastGenOutput>
    </None>
    <None Include="Data\ErrorsDataSet.xss">
      <DependentUpon>ErrorsDataSet.xsd</DependentUpon>
    </None>
    <None Include="Data\NodesDataSet.xsc">
      <DependentUpon>NodesDataSet.xsd</DependentUpon>
    </None>
    <None Include="Data\NodesDataSet.xsd">
      <Generator>MSDataSetGenerator</Generator>
      <LastGenOutput>NodesDataSet.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </None>
    <None Include="Data\NodesDataSet.xss">
      <DependentUpon>NodesDataSet.xsd</DependentUpon>
    </None>
    <None Include="Data\SettDataSet.xsc">
      <DependentUpon>SettDataSet.xsd</DependentUpon>
    </None>
    <None Include="Data\SettDataSet.xsd">
      <Generator>MSDataSetGenerator</Generator>
      <LastGenOutput>SettDataSet.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </None>
    <None Include="Data\SettDataSet.xss">
      <DependentUpon>SettDataSet.xsd</DependentUpon>
    </None>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Controls\RegexToolControl.resx">
      <DependentUpon>RegexToolControl.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Designers\Controls\CodeEditorControl.resx">
      <DependentUpon>CodeEditorControl.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Designers\Controls\ErrorsUserControl.resx">
      <DependentUpon>ErrorsUserControl.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Designers\Controls\Forms\NodeTypePickForm.resx">
      <DependentUpon>NodeTypePickForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Designers\Controls\Forms\NodeTypePickXtraForm.resx">
      <DependentUpon>NodeTypePickXtraForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Designers\Controls\NodeDesignerControl.resx">
      <DependentUpon>NodeDesignerControl.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Designers\Controls\NodeDesignerControlContainer.resx">
      <DependentUpon>NodeDesignerControlContainer.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Designers\Controls\NodeTypePickUserControl.resx">
      <DependentUpon>NodeTypePickUserControl.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Designers\Controls\ProgramDesignerControl.resx">
      <DependentUpon>ProgramDesignerControl.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Designers\Controls\ProgramNodesControl.resx">
      <DependentUpon>ProgramNodesControl.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Designers\Controls\ProjectDesignerControl.resx">
      <DependentUpon>ProjectDesignerControl.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Designers\Forms\NodeForm.resx">
      <DependentUpon>NodeForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Designers\Property\Forms\PropertyCodeEditXtraForm.resx">
      <DependentUpon>PropertyCodeEditXtraForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Designers\Property\Forms\ProgramSelectXtraForm.resx">
      <DependentUpon>ProgramSelectXtraForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\licenses.licx" />
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\folder.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\add2.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\delete_6.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\program2.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\node.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\DefaultNode.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\code.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\build.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\save.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\news2.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\library.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\ok.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\Cut.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\Copy.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\Paste3.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\build2.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\build21.png" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>